Constructs Event object

- « Event::addTimer

- Event::del »

- PHP Manual
- Event
- Constructs Event object

# Event::__construct

(PECL event >= 1.2.6-beta)

Event::__construct — Constructs Event object

### Description

public Event::__construct(
EventBase `$base` ,
mixed `$fd` ,
int `$what` ,
callable `$cb` ,
mixed `$arg` = NULL
)

Constructs Event object.

### Parameters

`base`

  The event base to associate with.

`fd`

  stream resource, socket resource, or numeric file descriptor. For timer events pass `-1`. For signal events pass the signal number, e.g. `SIGHUP`.

`what`

  Event flags. See Event flags.

`cb`

  The event callback. See Event callbacks.

`arg`

  Custom data. If specified, it will be passed to the callback when event triggers.

### See Also

- Event::signal() - Constructs signal event object
- Event::timer() - Constructs timer event object